attoparsec-0.12.1.2: Fast combinator parsing for bytestrings and text

Portability | unknown
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | Safe-Inferred

Data.Attoparsec.Number

Description

Deprecated: This module will be removed in the next major release.

This module is deprecated, and both the module and `Number` type will be removed in the next major release. Use the scientific package and the `Scientific` type instead.

A simple number type, useful for parsing both exact and inexact quantities without losing much precision.

Synopsis

- data Number
  - = I !Integer
  - | D !Double

# Documentation

data Number

A numeric type that can represent integers accurately, and floating point numbers to the precision of a `Double`.

Note: this type is deprecated, and will be removed in the next major release. Use the `Scientific` type instead.

Constructors

I !Integer |
D !Double |

Instances

Eq Number |
Fractional Number |
Data Number |
Num Number |
Ord Number |
Real Number |
RealFrac Number |
Show Number |
Typeable Number |
NFData Number |